// SettingDlg.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "hebope.h"
#include "SettingDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSettingDlg ダイアログ


CSettingDlg::CSettingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSettingDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSettingDlg)
	m_uiNearPattern = 0;
	m_uiMinMember = 0;
	//}}AFX_DATA_INIT
}


void CSettingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingDlg)
	DDX_Text(pDX, IDC_SETTING_NEARPATTERN, m_uiNearPattern);
	DDV_MinMaxUInt(pDX, m_uiNearPattern, 1, 999);
	DDX_Text(pDX, IDC_SETTING_MINMENBER, m_uiMinMember);
	DDV_MinMaxUInt(pDX, m_uiMinMember, 1, 999);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSettingDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingDlg)
		// メモ - ClassWizard はこの位置にマッピング用のマクロを追加または削除します。
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSettingDlg メッセージ ハンドラ
